stralloc_copy(3)

NAME
stralloc_copy - copy data into a stralloc

SYNTAX
#include <libowfat/stralloc.h>

int stralloc_copy(stralloc* sato,stralloc* safrom);

DESCRIPTION
stralloc_copy copies the string stored in safrom into sa. It is the same as stralloc_copyb(&sato, safrom.s, safrom.len). safrom must already be allocated.

The data that sa previously contained is overwritten and truncated.

If stralloc_copy has trouble allocating memory, it returns 0. Otherwise it returns 1.

RETURN VALUE
1 for success, 0 on memory allocation failure.

SEE ALSO
stralloc_copyb(3)